Package com.google.protobuf.compiler

# Class PluginProtos.CodeGeneratorResponse.File.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder>
com.google.protobuf.GeneratedMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder>
com.google.protobuf.compiler.PluginProtos.CodeGeneratorResponse.File.Builder

All Implemented Interfaces:
  `PluginProtos.CodeGeneratorResponse.FileOrBuilder`, `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Cloneable`

Enclosing class:
  `PluginProtos.CodeGeneratorResponse.File`

public static final class PluginProtos.CodeGeneratorResponse.File.Builder extends GeneratedMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder> implements PluginProtos.CodeGeneratorResponse.FileOrBuilder
Protobuf type `google.protobuf.compiler.CodeGeneratorResponse.File`

## Method Summary

Modifier and Type
Method
Description
`PluginProtos.CodeGeneratorResponse.File`
`build()`
Constructs the message based on the state of the Builder.
`PluginProtos.CodeGeneratorResponse.File`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`PluginProtos.CodeGeneratorResponse.File.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`PluginProtos.CodeGeneratorResponse.File.Builder`
`clearContent()`
`optional string content = 15 [json_name = "content"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`clearGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`clearInsertionPoint()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`clearName()`
`optional string name = 1 [json_name = "name"];`
`String`
`getContent()`
`optional string content = 15 [json_name = "content"];`
`ByteString`
`getContentBytes()`
`optional string content = 15 [json_name = "content"];`
`PluginProtos.CodeGeneratorResponse.File`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`DescriptorProtos.GeneratedCodeInfo`
`getGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`DescriptorProtos.GeneratedCodeInfo.Builder`
`getGeneratedCodeInfoBuilder()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`DescriptorProtos.GeneratedCodeInfoOrBuilder`
`getGeneratedCodeInfoOrBuilder()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`String`
`getInsertionPoint()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`ByteString`
`getInsertionPointBytes()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`String`
`getName()`
`optional string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`optional string name = 1 [json_name = "name"];`
`boolean`
`hasContent()`
`optional string content = 15 [json_name = "content"];`
`boolean`
`hasGeneratedCodeInfo()`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`boolean`
`hasInsertionPoint()`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`boolean`
`hasName()`
`optional string name = 1 [json_name = "name"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`PluginProtos.CodeGeneratorResponse.File.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`PluginProtos.CodeGeneratorResponse.File.Builder`
`mergeFrom(PluginProtos.CodeGeneratorResponse.File other)`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`PluginProtos.CodeGeneratorResponse.File.Builder`
`mergeGeneratedCodeInfo(DescriptorProtos.GeneratedCodeInfo value)`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`setContent(String value)`
`optional string content = 15 [json_name = "content"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`setContentBytes(ByteString value)`
`optional string content = 15 [json_name = "content"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`setGeneratedCodeInfo(DescriptorProtos.GeneratedCodeInfo value)`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`setGeneratedCodeInfo(DescriptorProtos.GeneratedCodeInfo.Builder builderForValue)`
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`setInsertionPoint(String value)`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`setInsertionPointBytes(ByteString value)`
`optional string insertion_point = 2 [json_name = "insertionPoint"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`setName(String value)`
`optional string name = 1 [json_name = "name"];`
`PluginProtos.CodeGeneratorResponse.File.Builder`
`setNameBytes(ByteString value)`
`optional string name = 1 [json_name = "name"];`

### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder>`

### clear

public PluginProtos.CodeGeneratorResponse.File.Builder clear()
Description copied from class: `GeneratedMessage.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder>`

### getDefaultInstanceForType

public PluginProtos.CodeGeneratorResponse.File getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public PluginProtos.CodeGeneratorResponse.File build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public PluginProtos.CodeGeneratorResponse.File buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public PluginProtos.CodeGeneratorResponse.File.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder>`

### mergeFrom

public PluginProtos.CodeGeneratorResponse.File.Builder mergeFrom(PluginProtos.CodeGeneratorResponse.File other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder>`

### mergeFrom

public PluginProtos.CodeGeneratorResponse.File.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<PluginProtos.CodeGeneratorResponse.File.Builder>`
Throws:
  `IOException` - an I/O error reading from the stream

### hasName

public boolean hasName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `hasName` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  Whether the name field is set.

### getName

public String getName()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`optional string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The bytes for name.

### setName

public PluginProtos.CodeGeneratorResponse.File.Builder setName(String value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public PluginProtos.CodeGeneratorResponse.File.Builder clearName()
`optional string name = 1 [json_name = "name"];`

Returns:
  This builder for chaining.

### setNameBytes

public PluginProtos.CodeGeneratorResponse.File.Builder setNameBytes(ByteString value)
`optional string name = 1 [json_name = "name"];`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### hasInsertionPoint

public boolean hasInsertionPoint()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Specified by:
  `hasInsertionPoint` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  Whether the insertionPoint field is set.

### getInsertionPoint

public String getInsertionPoint()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Specified by:
  `getInsertionPoint` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The insertionPoint.

### getInsertionPointBytes

public ByteString getInsertionPointBytes()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Specified by:
  `getInsertionPointBytes` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The bytes for insertionPoint.

### setInsertionPoint

public PluginProtos.CodeGeneratorResponse.File.Builder setInsertionPoint(String value)
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Parameters:
  `value` - The insertionPoint to set.
Returns:
  This builder for chaining.

### clearInsertionPoint

public PluginProtos.CodeGeneratorResponse.File.Builder clearInsertionPoint()
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Returns:
  This builder for chaining.

### setInsertionPointBytes

public PluginProtos.CodeGeneratorResponse.File.Builder setInsertionPointBytes(ByteString value)
`optional string insertion_point = 2 [json_name = "insertionPoint"];`

Parameters:
  `value` - The bytes for insertionPoint to set.
Returns:
  This builder for chaining.

### hasContent

public boolean hasContent()
`optional string content = 15 [json_name = "content"];`

Specified by:
  `hasContent` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  Whether the content field is set.

### getContent

public String getContent()
`optional string content = 15 [json_name = "content"];`

Specified by:
  `getContent` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The content.

### getContentBytes

public ByteString getContentBytes()
`optional string content = 15 [json_name = "content"];`

Specified by:
  `getContentBytes` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The bytes for content.

### setContent

public PluginProtos.CodeGeneratorResponse.File.Builder setContent(String value)
`optional string content = 15 [json_name = "content"];`

Parameters:
  `value` - The content to set.
Returns:
  This builder for chaining.

### clearContent

public PluginProtos.CodeGeneratorResponse.File.Builder clearContent()
`optional string content = 15 [json_name = "content"];`

Returns:
  This builder for chaining.

### setContentBytes

public PluginProtos.CodeGeneratorResponse.File.Builder setContentBytes(ByteString value)
`optional string content = 15 [json_name = "content"];`

Parameters:
  `value` - The bytes for content to set.
Returns:
  This builder for chaining.

### hasGeneratedCodeInfo

public boolean hasGeneratedCodeInfo()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

Specified by:
  `hasGeneratedCodeInfo` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  Whether the generatedCodeInfo field is set.

### getGeneratedCodeInfo

public DescriptorProtos.GeneratedCodeInfo getGeneratedCodeInfo()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

Specified by:
  `getGeneratedCodeInfo` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`
Returns:
  The generatedCodeInfo.

### setGeneratedCodeInfo

public PluginProtos.CodeGeneratorResponse.File.Builder setGeneratedCodeInfo(DescriptorProtos.GeneratedCodeInfo value)
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

### setGeneratedCodeInfo

public PluginProtos.CodeGeneratorResponse.File.Builder setGeneratedCodeInfo(DescriptorProtos.GeneratedCodeInfo.Builder builderForValue)
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

### mergeGeneratedCodeInfo

public PluginProtos.CodeGeneratorResponse.File.Builder mergeGeneratedCodeInfo(DescriptorProtos.GeneratedCodeInfo value)
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

### clearGeneratedCodeInfo

public PluginProtos.CodeGeneratorResponse.File.Builder clearGeneratedCodeInfo()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

### getGeneratedCodeInfoBuilder

public DescriptorProtos.GeneratedCodeInfo.Builder getGeneratedCodeInfoBuilder()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

### getGeneratedCodeInfoOrBuilder

public DescriptorProtos.GeneratedCodeInfoOrBuilder getGeneratedCodeInfoOrBuilder()
`optional .google.protobuf.GeneratedCodeInfo generated_code_info = 16 [json_name = "generatedCodeInfo"];`

Specified by:
  `getGeneratedCodeInfoOrBuilder` in interface `PluginProtos.CodeGeneratorResponse.FileOrBuilder`